Name: libsvm
Version: 2.6
Release: alt1.1

Summary: A library for Support Vector Machines (pattern recognition etc.)
Group: Development/Other
License: BSD

Url: http://www.csie.ntu.edu.tw/~cjlin/libsvm/
Source: %name-%version.tar.bz2

# Automatically added by buildreq on Fri Apr 16 2004
BuildRequires: XFree86-devel gcc-c++ glib-devel gtk+-devel libstdc++-devel

%package devel
Summary: A library for Support Vector Machines, header files
Group: Development/Other
Requires: %name = %version-%release

%package -n svm-toy
Summary: A library for Support Vector Machines, GTK+ demo
Group: Development/Other
Requires: %name = %version-%release

Provides: %name-toy = %version
Obsoletes: %name-toy < %version

%description
SVM (Support Vector Machines) is a powerful learning machine algorithm
for classification an regression problems.

Libsvm is a simple, easy-to-use, and efficient software for SVM
classification and regression. It can solve C-SVM classification,
nu-SVM classification, one-class-SVM, epsilon-SVM regression, and
nu-SVM regression. It also provides an automatic model selection
tool for C-SVM classification.

%description devel
SVM (Support Vector Machines) is a powerful learning machine algorithm
for classification an regression problems.

This package contains header files for development.

%description -n svm-toy
SVM (Support Vector Machines) is a powerful learning machine algorithm
for classification an regression problems.

This package contains a GTK+ demo.

%prep
%setup -q

%build

: libsvm
%define soname %name.so.%(echo '%version' | cut -d. -f1-2)
g++ -shared -o %soname -Wl,-soname,%soname %optflags %optflags_shared svm.cpp
%__ln_s %soname %name.so

: binaries
for f in svm-predict svm-scale svm-train; do
gcc -o $f %optflags -L. -lsvm -lm $f.c
done

: svm-toy
cd svm-toy/gtk
gcc -c	-o main.o	%optflags `gtk-config --cflags` main.c
gcc -c	-o interface.o	%optflags `gtk-config --cflags` interface.c
g++ -c	-o callbacks.o	%optflags `gtk-config --cflags` callbacks.cpp
g++	-o svm-toy	%optflags `gtk-config --libs` \
	main.o interface.o callbacks.o -L../.. -lsvm

%install
%__mkdir_p %buildroot{%_bindir,%_libdir,%_includedir}
%__cp -a svm-predict svm-scale svm-train svm-toy/gtk/svm-toy %buildroot%_bindir/
%__cp -a libsvm.so* %buildroot%_libdir/
%__cp -a svm.h %buildroot%_includedir/
%__ln_s svm.h %buildroot%_includedir/libsvm.h

%files
%_libdir/*.so.*
%_bindir/svm-predict  
%_bindir/svm-scale
%_bindir/svm-train
%doc FAQ.html README COPYRIGHT heart_scale

%files devel
%_libdir/*.so
%_includedir/*.h

%files -n svm-toy
%_bindir/svm-toy

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.6-alt1.1
- Rebuilt with libstdc++.so.6.

* Fri Apr 16 2004 Alexey Tourbin <at@altlinux.ru> 2.6-alt1
- version 2.6 released on April Fool's day
- renamed %name-toy to svm-toy

* Fri Nov 21 2003 Alexey Tourbin <at@altlinux.ru> 2.5-alt1
- 2.5
- subpackages: %name-devel and %name-toy
- Sisyphus release

* Mon Apr 07 2003 Alexey Tourbin <at@altlinux.ru> 2.4-alt1
- initial revision; shared build
